# This file created by conda-build 24.3.0
# meta.yaml template originally from:
# C:\b\abs_b0it6fcs79\clone\recipe, last modified Thu May 16 06:50:06 2024
# ------------------------------------------------

package:
  name: dask-core
  version: 2024.5.0
source:
  entry_points:
    - dask = dask.__main__:main
  sha256: 324f94cdcd93831d24579021b063a2821099c4d51ec094dbc17e0d3ad1d3d351
  url: https://pypi.io/packages/source/d/dask/dask-2024.5.0.tar.gz
build:
  number: '0'
  script: C:\\b\\abs_b0it6fcs79\\croot\\dask-core_1715838625158\\_h_env\\python.exe
    -m pip install . --no-deps --no-build-isolation -vv
  string: py312haa95532_0
requirements:
  host:
    - bzip2 1.0.8 h2bbff1b_6
    - ca-certificates 2024.3.11 haa95532_0
    - expat 2.6.2 hd77b12b_0
    - libffi 3.4.4 hd77b12b_1
    - openssl 3.0.13 h2bbff1b_1
    - pip 24.0 py312haa95532_0
    - python 3.12.3 h1d929f7_1
    - setuptools 69.5.1 py312haa95532_0
    - sqlite 3.45.3 h2bbff1b_0
    - tk 8.6.14 h0416ee5_0
    - tomli 2.0.1 py312haa95532_1
    - tzdata 2024a h04d1e81_0
    - vc 14.2 h21ff451_1
    - versioneer 0.29 py312haa95532_0
    - vs2015_runtime 14.27.29016 h5e58377_2
    - wheel 0.43.0 py312haa95532_0
    - xz 5.4.6 h8cc25b3_1
    - zlib 1.2.13 h8cc25b3_1
  run:
    - click >=8.1
    - cloudpickle >=1.5.0
    - fsspec >=2021.09.0
    - packaging >=20.0
    - partd >=1.2.0
    - python >=3.12,<3.13.0a0
    - pyyaml >=5.3.1
    - toolz >=0.10.0
test:
  commands:
    - pip check
  imports:
    - dask
  requires:
    - pip
about:
  description: 'Dask is a flexible parallel computing library for analytics.

    '
  dev_url: https://github.com/dask/dask
  doc_url: https://docs.dask.org
  home: https://www.dask.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Parallel Python with task scheduling
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: b0552195-509f-48a5-b77c-98569fa64d70
  recipe-maintainers:
    - jakirkham
    - jcrist
    - jrbourbeau
    - martindurant
    - mrocklin
    - pitrou
    - shoyer
    - sinhrks
    - tomaugspurger
  remote_url: git@github.com:AnacondaRecipes/dask-core-feedstock.git
  sha: ac3fbcd197ce73abd47bcdc30045153c3968b316
  skip-lints:
    - host_section_needs_exact_pinnings
    - python_build_tool_in_run
